import logging


# custom class to work around the fact that OA extensions ignore logger.debug messages.

class Logger():
    def __init__(self, debug: bool, className: str):
        self.debugLevel = debug
        self.logger = logging.getLogger(className)


    def info(self,msg):
        self.logger.info(msg)

    def debug(self,msg):
        if self.debugLevel == True:
            self.logger.info(msg)

    def error(self, msg):
        self.logger.error(msg)

    def warning(self, msg):
        self.logger.warning(msg)

    def critical(self, msg):
        self.logger.critical(msg)

    def exception(self, msg):
        self.logger.exception(msg)